#!/bin/python

from subprocess import check_output as co

def get_status_dict():
    output = co('pwrstat -status'.split(' ')).decode('UTF-8').replace('\t', '').split('\n')[4:]
    output = [x for x in [ [ x for x in line if x ] for line in [ line.split('.') for line in output ] ] if x]
    output.remove(['Current UPS status:'])
    output_dict = dict(zip([o[0] for o in output], [o[1][1:] for o in output]))
    return output_dict

def print_status_dict(dict):
    for i in dict.keys():
        print(f'{i}\t\t\t{dict[i]}')
